#
# spec file for package bluez-libs (Version 3.18)
#
# Copyright (c) 2008 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           bluez-libs
Url:            http://bluez.sourceforge.net
Version:        3.18
Release:        5.2
Summary:        Bluetooth Libraries
License:        GPL v2 or later
Group:          Hardware/Mobile
AutoReqProv:    on
Source:         bluez-libs-%{version}.tar.bz2
Patch1:         compound-literals-are-gnu-extension.diff
Patch2:         bluez-libs-CVE-2008-2374.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define prefix   /usr

%description
Bluetooth protocol stack libraries.



Authors:
--------
    Marcel Holtmann <marcel@holtmann.org>
    Maxim Krasnyansky <maxk@qualcomm.com>
    Stephen Crane <steve.crane@rococosoft.com>

%debug_package
%prep
%setup -q
%patch1
%patch2 -p1
%{?suse_update_config:%{suse_update_config -f . }}

%build
autoreconf -sfi
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%_prefix --libdir=%_libdir --localstatedir=%_localstatedir
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-, root, root)
/usr/include/bluetooth
%{_libdir}/libbluetooth*
%{_libdir}/pkgconfig/bluez.pc
%{_datadir}/aclocal/bluez.m4
%doc AUTHORS COPYING INSTALL ChangeLog NEWS README

%changelog
* Mon Jun 30 2008 - seife@suse.de
- added patch to fix CVE-2008-2374 (bnc #404963)
* Mon Sep 03 2007 - seife@suse.de
- update to v3.18:
  * Don't allocate memory for the Bluetooth base UUID.
* Fri Aug 31 2007 - seife@suse.de
- update to v3.17:
  * Fix supported commands bit calculation.
* Tue Aug 28 2007 - tpatzig@suse.de
- update to v3.16:
  * Update company identifier list.
* Tue Aug 28 2007 - tpatzig@suse.de
- update to v3.15:
  * Extract main service class for later use.
* Fri Aug 10 2007 - tpatzig@suse.de
- update to v3.14:
  * Add definitions and functions for Simple Pairing.
* Thu Jul 26 2007 - seife@suse.de
- update to v3.13:
  * Update HCI command table.
* Sun Jun 24 2007 - dgollub@suse.de
- update to v3.12:
  * Add missing HCI command text descriptions
  * Add missing HCI commands structures.
  * Add missing HCI event structures.
  * Add common bachk() function.
* Tue May 29 2007 - dmueller@suse.de
- add patch to fix compilation with C++ applications
* Fri May 25 2007 - seife@suse.de
- update to v3.11:
  * Fix URL data size handling.
* Thu May 10 2007 - dgollub@suse.de
- update to v3.10:
  * Add version code for Bluetooth 2.1 specification.
  * Add ESCO_LINK connection type constant.
  * Export sdp_uuid32_to_uuid128() function.
* Mon Jan 29 2007 - seife@suse.de
- update to v3.9:
  * update copyright information
* Tue Dec 26 2006 - seife@suse.de
- update to v3.8:
  * Add functions for registering binary records.
* Tue Oct 10 2006 - seife@suse.de
- update to v3.7:
  * Add additional PDU length checks.
  * Fix CSRC value for partial responses.
* Thu Sep 28 2006 - seife@suse.de
- update to v3.6:
  * Fix issues with the asynchronous API for SDP.
* Wed Sep 06 2006 - seife@suse.de
- update to v3.5:
  * Add asynchronous API for SDP.
* Wed Aug 30 2006 - dgollub@suse.de
- update to v3.4
  * Fix UUID128 string lookup handling
  * Fix malloc() versus bt_malloc() usage.
- update to v3.3
  * Remove kernel specific timeouts.
  * Add additional private data field for SDP sessions.
  * Add host number of completed packets defines.
  * Initialize various memory to zero before usage.
- moved libtoolize and autoreconf in build section
- replace libtoolize with autoreconf -sfi
* Mon Jul 31 2006 - seife@suse.de
- update to v3.2
  * Fix handling of SDP strings.
  * Add adapter type for SDIO cards.
  * Add features bit for link supervision timeout.
* Thu Jul 06 2006 - seife@suse.de
- update to v3.1:
  * Add missing placeholders for feature bits.
  * Fix broken behavior with EVT_CMD_STATUS.
  * Add features bit for pause encryption.
  * Add additional EIR error code.
  * Add more company identifiers.
  * Add another Phonebook Access identifier.
  * Update sniff subrating data structures.
  * Add definitions for Apple Agent.
  * Add support for record handle on service registration.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 - behlert@suse.de
- update to v2.24:
  * Add support for additional access protocols.
* Mon Dec 12 2005 - behlert@suse.de
- update to v2.23:
  * Add constants and definitions for sniff subrating.
  * Add support for allocation of binary text elements.
  * Fix service discovery deadlocks with Samsung D600 phones.
* Wed Nov 02 2005 - behlert@suse.de
- update to v2.22:
  * ecode reserved LMP feature bits.
  * Fix errno overwrite problems.
  * Fix profile descriptor problem with Samsung phones.
  * Add compile time buffer checks (FORTIFY SOURCE).
* Tue Sep 20 2005 - behlert@suse.de
- update to v2.21:
  * Add support for identification of supported commands.
  * Add missing OCF declarations for the security filter.
  * Add two new company identifiers.
  * Add UUIDs for video distribution profile.
  * Add UUIDs for phonebook access profile.
  * Add attribute identifier for supported repositories.
  * Add definitions for extended inquiry response.
  * Add functions for extended inquiry response.
* Wed Aug 10 2005 - behlert@suse.de
- update to v2.19: needed for bluez-utils v2.19 with its
  secutrity-fixes. Changes includes:
  * Fix the GCC 4.0 warnings.
  * Fix the routing for dealing with raw devices.
  * Add per device service record functions.
* Mon Jul 04 2005 - behlert@suse.de
- update to v2.18:
  * Add support for reading and writing the inquiry scan type.
  * Add definitions for connection accept timeout and scan enable.
  * Remove hci_vhci.h header file.
  * Remove hci_uart.h header file.
* Tue May 10 2005 - behlert@suse.de
- update to v2.17:
  * header files fixes
  * stored link keys
  * definitions for PIN type and unit key.
  * SDP_WAIT_ON_CLOSE flag for sdp_connect().
- removed patch (now upstream)
* Wed Apr 20 2005 - behlert@suse.de
- fixed bluetooth.h (missing stdion.h reference)
* Wed Apr 20 2005 - behlert@suse.de
- update to v2.16:
  * Fix buffer allocation for features to string conversion.
  * Add function for reading local supported commands.
  * Add function for reading local extended features.
  * Add function for reading remote extended features.
  * Add function for getting the remote name with a clock offset.
  * Add function for extracting the OUI from a BD_ADDR.
  * Add inquiry info structure with RSSI and page scan mode.
  * Support inquiry with unlimited number of responses.
* Tue Feb 01 2005 - behlert@suse.de
- update to v2.15: a lot of functions for reading various attributes
  and features of the device
* Wed Jan 12 2005 - behlert@suse.de
- update to v2.13: mostly definitions added/updated
* Fri Dec 03 2004 - behlert@suse.de
- update to v2.12: kernel interface corrections, WAP, AM_PATH_BLUEZ
* Wed Nov 17 2004 - behlert@suse.de
- update to v2.11: Initial support for the kernel security manager
  and lots of new features
* Tue Aug 17 2004 - behlert@suse.de
- update to v2.10: Fix and extend the unaligned access macros and
  other fixes
* Fri Jul 30 2004 - behlert@suse.de
- updated to 2.9: Changes to L2CAP and bugfixes
* Wed Jul 14 2004 - behlert@suse.de
- update to 2.8: Fix the event code of inquiry with RSSI.
- various fixes/enhancements for audio/video profiles, AVDTP, HIDP
- PKGConfig support
- removed dummy SDP library.
* Mon May 10 2004 - behlert@suse.de
- update to 2.7: now bluez-pan is obsolete, too
* Wed May 05 2004 - behlert@suse.de
- update to v2.6: obsoletes together with bluez-utils the
  bluez-sdp package!
* Fri Dec 19 2003 - behlert@suse.de
- update to v2.5   (major changes for Bluetooth 1.2)
* Fri Nov 21 2003 - adrian@suse.de
- add run_ldconfig
* Tue Aug 05 2003 - stepan@suse.de
- update to v2.4
* Wed Jun 18 2003 - ro@suse.de
- added directory to filelist
* Fri Feb 14 2003 - stepan@suse.de
- fix libdir
* Thu Jan 30 2003 - stepan@suse.de
- initial version
